Package org.zkoss.zel.impl

## Class MethodExpressionLiteral

- java.lang.Object
- - org.zkoss.zel.Expression
  - - org.zkoss.zel.MethodExpression
    - - org.zkoss.zel.impl.MethodExpressionLiteral

- All Implemented Interfaces:
    `java.io.Externalizable`, `java.io.Serializable`

      public class MethodExpressionLiteral
      extends MethodExpression
      implements java.io.Externalizable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MethodExpressionLiteral()` |
    `MethodExpressionLiteral​(java.lang.String expr, java.lang.Class<?> expectedType, java.lang.Class<?>[] paramTypes)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getExpressionString()` |
    `MethodInfo` | `getMethodInfo​(ELContext context)` |
    `int` | `hashCode()` |
    `java.lang.Object` | `invoke​(ELContext context, java.lang.Object[] params)` |
    `boolean` | `isLiteralText()` |
    `void` | `readExternal​(java.io.ObjectInput in)` |
    `void` | `writeExternal​(java.io.ObjectOutput out)` |

    - ### Methods inherited from class org.zkoss.zel.MethodExpression

      `isParametersProvided`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodExpressionLiteral

          public MethodExpressionLiteral()

    - #### MethodExpressionLiteral

          public MethodExpressionLiteral​(java.lang.String expr,
                                         java.lang.Class<?> expectedType,
                                         java.lang.Class<?>[] paramTypes)

  - ### Method Detail

    - #### getMethodInfo

          public MethodInfo getMethodInfo​(ELContext context)
                                   throws ELException

      Specified by:
        `getMethodInfo` in class `MethodExpression`
      Parameters:
        `context` - The EL context for this evaluation
      Returns:
        Information about the method that this expression resolves to
      Throws:
        `PropertyNotFoundException` - If a property/variable resolution failed because no match was found or a match was found but was not readable
        `MethodNotFoundException` - If no matching method can be found
        `ELException` - Wraps any exception throw whilst resolving the property

    - #### invoke

          public java.lang.Object invoke​(ELContext context,
                                         java.lang.Object[] params)
                                  throws ELException

      Specified by:
        `invoke` in class `MethodExpression`
      Parameters:
        `context` - The EL context for this evaluation
        `params` - The parameters with which to invoke this method expression
      Returns:
        The result of invoking this method expression
      Throws:
        `PropertyNotFoundException` - If a property/variable resolution failed because no match was found or a match was found but was not readable
        `MethodNotFoundException` - If no matching method can be found
        `ELException` - Wraps any exception throw whilst resolving the property or coercion of the result to the expected return type fails

    - #### getExpressionString

          public java.lang.String getExpressionString()

      Specified by:
        `getExpressionString` in class `Expression`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Specified by:
        `equals` in class `Expression`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `Expression`

    - #### isLiteralText

          public boolean isLiteralText()

      Specified by:
        `isLiteralText` in class `Expression`

    - #### readExternal

          public void readExternal​(java.io.ObjectInput in)
                            throws java.io.IOException,
                                   java.lang.ClassNotFoundException

      Specified by:
        `readExternal` in interface `java.io.Externalizable`
      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`

    - #### writeExternal

          public void writeExternal​(java.io.ObjectOutput out)
                             throws java.io.IOException

      Specified by:
        `writeExternal` in interface `java.io.Externalizable`
      Throws:
        `java.io.IOException`